# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.3.3] - 2021-05-14

### Added

* Add [pycharm-security](https://pycharm-security.readthedocs.io/en/latest/) step ([#66]) - [@m-rossi]
* Support for [pandoc](https://pandoc.org) 2.12 ([#68], [#69]) - [@m-rossi]
* Support for [pandoc](https://pandoc.org) 2.13 ([#70]) - [@m-rossi]
* Add support for [plotly](https://plotly.com)-figures by converting it to `*.png` in `*.docx` document ([#52], [#60]) - [@m-rossi]

### Changed

* Use only [conda-forge](https://conda-forge.org) as conda-channel ([#65]) - [@m-rossi]
* Use [mamba](https://github.com/mamba-org/mamba) in CI to install dependencies ([#71], [#72]) - [@m-rossi]
* Require [pandoc](https://pandoc.org) 2.11 as minimum

### Fixed

* Convert various types of [IPython-outputs](https://ipython.readthedocs.io/en/stable/api/generated/IPython.display.html) to pandoc-compatible types ([#73], [#74]) - [@m-rossi]

## [0.3.2] - 2020-12-11

### Changed

* Update setup-miniconda to version 2 ([#61], [#62]) - [@m-rossi]

### Fixed

* Fix multiple outputs with different data inside ([#63]) - [@TanguyFi]
* Add missing Python 3.9 version to CI-build step - [@m-rossi]

## [0.3.1] - 2020-10-19

### Added

* Add support for pandoc version 2.11 ([#53], [#54]) - [@m-rossi]
* Support HTML-tables generated by [pandas](https://pandas.pydata.org/) including multi-columns and multi-rows ([#24], [#50], [#51]) - [@m-rossi]
* Add Python 3.9 support ([#55], [#56]) - [@m-rossi]
* Add pypi-package build to CI ([#58], [#59]) - [@m-rossi]
* Add development instructions ([#49]) - [@m-rossi]
* Add templates for issues and pull requests - [@m-rossi]

### Fixed
* Fix unreliable tests for `remove_all_inputs_notebook` ([#57]) - [@m-rossi]

## [0.3.0] - 2020-08-11

### Added

* Add first version of syntax highlighting ([#8]) - [@m-rossi]
* Add global tag `exclude_input` to hide all inputs, see [README](https://github.com/m-rossi/jupyter-docx-bundler#hiding-all-inputs) for details ([#30], [#41]) - [@m-rossi]

### Changed

* Remove intermediate html conversion and use pure pandoc ([#40], [#43], [#44]) - [@m-rossi]
* Update upload-artifact-action to v2 ([#46]) - [@m-rossi]

### Fixed

* Fix export of multiple output images of matplotlib ([#39]) - [@m-rossi]
* Fix math formulas when using pandoc ([#42], [#45]) - [@m-rossi]

## [0.2.2] - 2020-03-08

### Added

* Python 3.8 support ([#32]) - [@m-rossi]

### Changed

* Remove the default 'Notebook' title if there is no title in the metadata ([#28], [#29]) - [@m-rossi]
* Switch from azure pipelines to github actions ([#34]) - [@m-rossi]
* Allow uploads of code-coverage from PRs ([#35]) - [@m-rossi]

### Fixed

* Fix conversion issue if a markdown image has additional title ([#36], [#37]) - [@m-rossi]

## [0.2.1] - 2019-06-21

### Added

* Add conda-forge recipe ([#25], [conda-forge/staged-recipes#8689](https://github.com/conda-forge/staged-recipes/pull/8689)) - [@m-rossi]

### Fixed

* Package name in `setup.py` was wrong a lead to issues when creating a recipe for conda-forge - [@m-rossi]
* Issues with pillow on Windows on Azurepipelines ([#27]) - [@m-rossi]

## [0.2.0] - 2019-06-21

### Added

* Add Python 3.7 support - [@m-rossi]
* Add JupyterLab bundler extension ([#1]) - [@m-rossi]
* Add more metadata ([#7]) - [@m-rossi]
* Added support for nbconvert via console ([#12]) - [@kirschma]

### Changed

* Improve testing and testing via Azure pipelines ([#6], [#9], [#13], [#14], [#17], [#18], [#21], [#22]) - [@m-rossi]
* Bundler is now non-blocking the Jupyter Notebook ([#19]) - [@m-rossi]
* Require `nbconvert >= 5.5` and `pandoc >= 2.0` ([#16]) - [@m-rossi]

### Fixed

* Fix platform specific issues by require recent versions of dependencies ([#16], [#18]) - [@m-rossi]
* Fix missing *.docx-extension on windows ([#20]) - [@m-rossi]
* Linked images not export document ([#23]) - [@m-rossi]

## [0.1.3] - 2018-05-06

### Added

* Add tests for downloaded notebooks from nbviewer.jupyter.org - [@m-rossi]
* Add fixture which creates a notebook with matplotlib figures - [@m-rossi]

### Changed

* Require Pandoc version 2.2 as minimum to export large notebooks on windows - [@m-rossi]

### Removed

* Remove Python 2 support - [@m-rossi]

### Fixed

* Embedded images in markdown cells are exported correctly ([#5]) - [@m-rossi]
* Fix testing on Windows, because jpg export of matplotlib currently does not work - [@m-rossi]

## [0.1.2] - 2018-01-09

### Changed

* Use "title" instead of "name" for notebook title to match notebook format ([#2]) - [@m-rossi]
* Switch from noarch conda package to os-dependent conda package - [@m-rossi]

### Fixed

* Notebook `model['name']` is different on Unix and Windows ([#4]) - [@m-rossi]

## [0.1.1] - 2017-11-11

### Fixed

* Remove README.md from description and use README.rst which will be generated during build and upload - [@m-rossi]

## [0.1.0] - 2017-11-11

Initial version - [@m-rossi]

[Unreleased]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.3.3...HEAD
[0.3.3]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.3.2...0.3.3
[0.3.2]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.3.1...0.3.2
[0.3.1]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.3.0...0.3.1
[0.3.0]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.2.1...0.3.0
[0.2.2]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.2.1...0.2.2
[0.2.1]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.2.0...0.2.1
[0.2.0]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.1.3...0.2.0
[0.1.3]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.1.2...0.1.3
[0.1.2]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.1.1...0.1.2
[0.1.1]: https://github.com/m-rossi/jupyter-docx-bundler/compare/0.1.0...0.1.1
[0.1.0]: https://github.com/m-rossi/jupyter-docx-bundler/releases/tag/0.1.0

[#74]: https://github.com/m-rossi/jupyter-docx-bundler/issues/74
[#73]: https://github.com/m-rossi/jupyter-docx-bundler/issues/73
[#72]: https://github.com/m-rossi/jupyter-docx-bundler/issues/72
[#71]: https://github.com/m-rossi/jupyter-docx-bundler/issues/71
[#70]: https://github.com/m-rossi/jupyter-docx-bundler/issues/70
[#69]: https://github.com/m-rossi/jupyter-docx-bundler/issues/69
[#68]: https://github.com/m-rossi/jupyter-docx-bundler/issues/68
[#66]: https://github.com/m-rossi/jupyter-docx-bundler/issues/66
[#65]: https://github.com/m-rossi/jupyter-docx-bundler/issues/65
[#63]: https://github.com/m-rossi/jupyter-docx-bundler/issues/63
[#62]: https://github.com/m-rossi/jupyter-docx-bundler/issues/62
[#61]: https://github.com/m-rossi/jupyter-docx-bundler/issues/61
[#60]: https://github.com/m-rossi/jupyter-docx-bundler/issues/60
[#59]: https://github.com/m-rossi/jupyter-docx-bundler/issues/59
[#58]: https://github.com/m-rossi/jupyter-docx-bundler/issues/58
[#57]: https://github.com/m-rossi/jupyter-docx-bundler/issues/57
[#56]: https://github.com/m-rossi/jupyter-docx-bundler/issues/56
[#55]: https://github.com/m-rossi/jupyter-docx-bundler/issues/55
[#54]: https://github.com/m-rossi/jupyter-docx-bundler/issues/54
[#53]: https://github.com/m-rossi/jupyter-docx-bundler/issues/53
[#52]: https://github.com/m-rossi/jupyter-docx-bundler/issues/52
[#51]: https://github.com/m-rossi/jupyter-docx-bundler/issues/51
[#50]: https://github.com/m-rossi/jupyter-docx-bundler/issues/50
[#49]: https://github.com/m-rossi/jupyter-docx-bundler/issues/49
[#46]: https://github.com/m-rossi/jupyter-docx-bundler/issues/46
[#45]: https://github.com/m-rossi/jupyter-docx-bundler/issues/45
[#44]: https://github.com/m-rossi/jupyter-docx-bundler/issues/44
[#43]: https://github.com/m-rossi/jupyter-docx-bundler/issues/43
[#42]: https://github.com/m-rossi/jupyter-docx-bundler/issues/42
[#41]: https://github.com/m-rossi/jupyter-docx-bundler/issues/41
[#40]: https://github.com/m-rossi/jupyter-docx-bundler/issues/40
[#39]: https://github.com/m-rossi/jupyter-docx-bundler/issues/39
[#37]: https://github.com/m-rossi/jupyter-docx-bundler/issues/37
[#36]: https://github.com/m-rossi/jupyter-docx-bundler/issues/36
[#35]: https://github.com/m-rossi/jupyter-docx-bundler/issues/35
[#34]: https://github.com/m-rossi/jupyter-docx-bundler/issues/34
[#32]: https://github.com/m-rossi/jupyter-docx-bundler/issues/32
[#30]: https://github.com/m-rossi/jupyter-docx-bundler/issues/30
[#29]: https://github.com/m-rossi/jupyter-docx-bundler/issues/29
[#28]: https://github.com/m-rossi/jupyter-docx-bundler/issues/28
[#27]: https://github.com/m-rossi/jupyter-docx-bundler/issues/27
[#25]: https://github.com/m-rossi/jupyter-docx-bundler/issues/25
[#24]: https://github.com/m-rossi/jupyter-docx-bundler/issues/24
[#23]: https://github.com/m-rossi/jupyter-docx-bundler/issues/23
[#22]: https://github.com/m-rossi/jupyter-docx-bundler/issues/22
[#21]: https://github.com/m-rossi/jupyter-docx-bundler/issues/21
[#20]: https://github.com/m-rossi/jupyter-docx-bundler/issues/20
[#19]: https://github.com/m-rossi/jupyter-docx-bundler/issues/19
[#18]: https://github.com/m-rossi/jupyter-docx-bundler/issues/18
[#17]: https://github.com/m-rossi/jupyter-docx-bundler/issues/17
[#16]: https://github.com/m-rossi/jupyter-docx-bundler/issues/16
[#14]: https://github.com/m-rossi/jupyter-docx-bundler/issues/14
[#13]: https://github.com/m-rossi/jupyter-docx-bundler/issues/13
[#12]: https://github.com/m-rossi/jupyter-docx-bundler/issues/12
[#9]: https://github.com/m-rossi/jupyter-docx-bundler/issues/9
[#8]: https://github.com/m-rossi/jupyter-docx-bundler/issues/8
[#7]: https://github.com/m-rossi/jupyter-docx-bundler/issues/7
[#6]: https://github.com/m-rossi/jupyter-docx-bundler/issues/6
[#5]: https://github.com/m-rossi/jupyter-docx-bundler/issues/5
[#4]: https://github.com/m-rossi/jupyter-docx-bundler/issues/4
[#2]: https://github.com/m-rossi/jupyter-docx-bundler/issues/2
[#1]: https://github.com/m-rossi/jupyter-docx-bundler/issues/1

[@m-rossi]: https://github.com/m-rossi
[@kirschma]: https://github.com/kirschma
[@TanguyFi]: https://github.com/TanguyFi
